Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1808278 - Review request: libevdevPlus - a c++ wrapper around libevdev
Summary: Review request: libevdevPlus - a c++ wrapper around libevdev
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1807753
TreeView+ depends on / blocked
 
Reported: 2020-02-28 06:57 UTC by Bob Hepple
Modified: 2020-04-17 19:42 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-09 14:43:30 UTC
Type: Bug
zebob.m: fedora-review+


Attachments (Terms of Use)

Comment 1 Bob Hepple 2020-02-29 05:42:29 UTC
Changes in response to review of libuInputPlus at https://bugzilla.redhat.com/show_bug.cgi?id=1808276

Note: no test is included as it would require sudo.

Spec URL: https://download.copr.fedorainfracloud.org/results/wef/ydotool/fedora-31-x86_64/01260043-libevdevPlus/libevdevPlus.spec
SRPM URL: https://download.copr.fedorainfracloud.org/results/wef/ydotool/fedora-31-x86_64/01260043-libevdevPlus/libevdevPlus-0.1.1-1.fc31.src.rpm
Description: a c++ wrapper around libevdev
FAS Username: wef

Comment 3 Robert-André Mauchin 🐧 2020-03-21 20:46:08 UTC
Adding FE-NEEDSPONSOR.

Your links are 404 please update them.

Comment 4 Robert-André Mauchin 🐧 2020-03-21 20:57:46 UTC
Spec URL: https://copr-be.cloud.fedoraproject.org/results/wef/ydotool/fedora-31-x86_64/01278846-libevdevPlus/libevdevPlus.spec
SRPM URL: https://copr-be.cloud.fedoraproject.org/results/wef/ydotool/fedora-31-x86_64/01278846-libevdevPlus/libevdevPlus-0.1.1-1.fc31.src.rpm



 - I think Requires must be below %package not %description

%package devel
Summary: Development files for %{name}
Requires: %{name}%{?_isa} = %{version}-%{release}

See related errors in rpmlint:

libevdevPlus-devel.x86_64: W: no-dependency-on libevdevPlus/libevdevPlus-libs/liblibevdevPlus
libevdevPlus-devel.x86_64: W: tag-in-description C Requires:


 - Capitalize the summary:

Summary: Development files for %{name}



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: ldconfig not called in %post and %postun for Fedora 28 and later.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "Expat License". 4 files have unknown
     license. Detailed output of licensecheck in
     /home/bob/packaging/review/libevdevPlus/review-
     libevdevPlus/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[!]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     libevdevPlus-devel
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Sources are verified with gpgverify first in %prep if upstream
     publishes signatures.
     Note: gpgverify is not used.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: libevdevPlus-0.1.1-1.fc33.x86_64.rpm
          libevdevPlus-devel-0.1.1-1.fc33.x86_64.rpm
          libevdevPlus-debuginfo-0.1.1-1.fc33.x86_64.rpm
          libevdevPlus-debugsource-0.1.1-1.fc33.x86_64.rpm
          libevdevPlus-0.1.1-1.fc33.src.rpm
libevdevPlus.x86_64: W: spelling-error Summary(en_US) libevdev -> bedevil
libevdevPlus.x86_64: W: spelling-error %description -l en_US libevdev -> bedevil
libevdevPlus.x86_64: W: spelling-error %description -l en_US ydotool -> footstool
libevdevPlus-devel.x86_64: W: no-dependency-on libevdevPlus/libevdevPlus-libs/liblibevdevPlus
libevdevPlus-devel.x86_64: W: summary-not-capitalized C development files for libevdevPlus
libevdevPlus-devel.x86_64: W: tag-in-description C Requires:
libevdevPlus-devel.x86_64: W: no-documentation
libevdevPlus.src: W: spelling-error Summary(en_US) libevdev -> bedevil
libevdevPlus.src: W: spelling-error %description -l en_US libevdev -> bedevil
libevdevPlus.src: W: spelling-error %description -l en_US ydotool -> footstool
5 packages and 0 specfiles checked; 0 errors, 10 warnings.

Comment 6 Robert-André Mauchin 🐧 2020-03-22 17:01:33 UTC
Package approved. You still need to find a sponsor, follow: https://fedoraproject.org/wiki/How_to_get_sponsored_into_the_packager_group

Comment 7 Robert-André Mauchin 🐧 2020-03-25 22:04:56 UTC
Sponsored.

Comment 8 Bob Hepple 2020-03-26 08:16:32 UTC
- fix globbing of shared library name
- move pkgconfig files to devel package (as for eg libtiff, libicu) per https://docs.fedoraproject.org/en-US/packaging-guidelines/ReviewGuidelines/

SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb. [33]

SPEC URL: https://download.copr.fedorainfracloud.org/results/wef/ydotool/fedora-31-x86_64/01320824-libevdevPlus/libevdevPlus.spec
SRPM URL: https://download.copr.fedorainfracloud.org/results/wef/ydotool/fedora-31-x86_64/01320824-libevdevPlus/libevdevPlus-0.1.1-3.fc31.src.rpm

Comment 9 Gwyn Ciesla 2020-03-26 13:46:43 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/libevdevPlus

Comment 10 Bob Hepple 2020-03-29 02:43:31 UTC
Had to fix the version number in the pkgconfig.pc file - it was 0.1.0, changed to 0.1.1

SPEC URL: https://src.fedoraproject.org/rpms/libevdevPlus/blob/master/f/libevdevPlus.spec
SRPM URL: https://kojipkgs.fedoraproject.org//work/tasks/5166/42835166/libevdevPlus-0.1.1-5.fc33.src.rpm

Comment 11 Fedora Update System 2020-04-01 00:39:29 UTC
FEDORA-2020-78151e9bd8 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-78151e9bd8

Comment 12 Fedora Update System 2020-04-01 00:50:06 UTC
FEDORA-2020-69b95e4c8f has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-69b95e4c8f

Comment 13 Fedora Update System 2020-04-01 00:59:09 UTC
FEDORA-EPEL-2020-ea4d25721a has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-ea4d25721a

Comment 14 Fedora Update System 2020-04-02 02:16:37 UTC
FEDORA-2020-78151e9bd8 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-78151e9bd8 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-78151e9bd8

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 15 Fedora Update System 2020-04-02 02:29:17 UTC
FEDORA-EPEL-2020-ea4d25721a has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-ea4d25721a

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 16 Fedora Update System 2020-04-02 09:36:57 UTC
FEDORA-2020-69b95e4c8f has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-69b95e4c8f \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-69b95e4c8f

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 17 Fedora Update System 2020-04-09 14:43:30 UTC
FEDORA-2020-78151e9bd8 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 18 Fedora Update System 2020-04-09 18:18:24 UTC
FEDORA-2020-69b95e4c8f has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 19 Fedora Update System 2020-04-17 19:42:20 UTC
FEDORA-EPEL-2020-ea4d25721a has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.